
Foreman - Support #10942

422 unprocessable entity error 

06/26/2015 10:17 AM - tony zheng

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Plugin integration   

Target version:    

Triaged:  Found in Releases: 1.8.2

Fixed in Releases:    

Description

i have a working instance of foreman/katello, but when i tried to rerun foreman-installer today to add salt plug and it fails with

following messages:

Choose an option from the menu... 32

422 Unprocessable Entity

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[monkey.samsung.lab]: Failed to call refresh: 422 Unprocessable Entity

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[monkey.samsung.lab]: 422 Unprocessable Entity

Preparing installation Done

Something went wrong! Check the log for ERROR-level output   * Foreman is running at https://monkey.samsung.lab

Initial credentials are admin / goGGyvmYA7WFrtfD   * Foreman Proxy is running at https://monkey.samsung.lab:8443   *

Puppetmaster is running at port 8140

The full log is at /var/log/foreman-installer/foreman-installer.log

History

#1 - 06/29/2015 07:28 AM - Lukas Zapletal

We need to see proxy.log file. Preferably, use foreman-debug tool with -u option.

#2 - 06/29/2015 07:28 AM - Lukas Zapletal

I mean without -u option, just upload when asked.

#3 - 06/29/2015 10:32 AM - tony zheng

see attached.

#4 - 08/10/2016 07:18 PM - Anonymous

Tony, what's the status here?

#5 - 11/08/2016 10:28 AM - Dominic Cleal

- Status changed from New to Rejected

Files

foreman-installer.log 843 KB 06/26/2015 tony zheng
